<script>
    var requireJS = [];

    loadJS(requireJS, "js/common.js");
    loadJS(requireJS, "js/views/rank-history.js");

</script>
<div class="page-title">
    <div class="title_left">
        <h3 th:text="#{rankHistory}">Historial de Rangos</h3>
    </div>
</div>

<div class="clearfix"></div>

<div class="row">

    <div class="col-md-12 col-sm-12 col-xs-12">
        <div class="x_panel">
            <div class="x_title">

                <div class="well" style="overflow: auto">
                    <div class="col-md-12">
                        <input type="text" th:value="${q}" placeholder="Buscar..." th:attr="placeholder=#{search} + '...'" name="q" id="q"/>
                        <span th:text="#{records}">Registros:</span>
                        <select name="size" id="size">
                            <option th:selected="${size == null || (size != null && size == '20')}" value="20">20</option>
                            <option th:selected="${size != null && size == '50'}" value="50">50</option>
                            <option th:selected="${size != null && size == '100'}" value="100">100</option>
                            <option th:selected="${size != null && size == '500'}" value="500">500</option>
                            <option th:selected="${size != null && size == '1000'}" value="1000">1000</option>
                        </select>
                        <span th:text="#{autoRank}">Auto Rango:</span>
                        <select name="auto" id="auto">
                            <option th:selected="${auto == null || (auto != null && auto == 'all')}" value="all" th:text="#{all}">Todos</option>
                            <option th:selected="${auto != null && auto == 'true'}" value="true" th:text="#{yes}">Si</option>
                            <option th:selected="${auto != null && auto == 'false'}" value="false" th:text="#{no}">No</option>
                        </select>

                        <button class="btn btn-info btn-sm" id="search-button"><i class="fa fa-search"></i>&nbsp;Buscar</button>
                    </div>
                </div>
                <div class="clearfix"></div>
            </div>

            <div>

                <div class="table-responsive-tall">
                    <table class="table table-condensed table-striped jambo_table">
                        <thead>
                            <tr class="headings">
                                <th>#</th>
                                <th th:text="#{member}">Afiliado</th>
                                <th th:text="#{rank}">Rango</th>
                                <th th:text="#{date}">Fecha</th>
                                <th th:text="#{description}">Descripcion</th>
                                <th></th>
                            </tr>
                        </thead>
                        <tbody>
                            <tr th:each="item : ${page.content}">
                                <td><input th:id="${item.id}" type="checkbox" name="rank-history-id"></td>
                                <td th:text="${item.member}"></td>
                                <td th:text="${item.rank}"></td>
                                <td th:text="${item.date}"></td>
                                <td th:text="${item.description}"></td>
                                <td>
                                    <ul class="nav navbar-right panel_toolbox_table">
                                        <li class="dropdown">
                                            <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false"><i class="fa fa-gears opener"></i></a>
                                            <ul class="dropdown-menu" role="menu">
                                                <li class="disabled">
                                                    <a href="#" class="text-muted">
                                                        <h5 th:text="${item.member}"></h5>
                                                    </a>
                                                </li>
                                                <li th:if="${!item.auto}">
                                                    <a class="action-button" id="delete-rank" th:attr="data-id=${item.id},data-name=${item.member}">
                                                        <i class="fa fa-remove"></i>&nbsp;
                                                        Eliminar rango
                                                    </a>
                                                </li>                                                
                                            </ul>
                                        </li>
                                    </ul>

                                </td>
                            </tr>
                        </tbody>
                    </table>
                </div>

            </div>
        </div>

        <div th:replace="frags/pagination :: paginationbar"></div>
    </div>

</div>

